Back to YouTube
TikHub·YouTube
YouTube Web: Search video
/api/v1/youtube/web/search_videosync$0.0015 / callSearch video via TikHub's YouTube Web endpoint. (TikHub · YouTube Web)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| search_query | string | yes | Search keyword |
| language_code | string | — | Language code (default "en") |
| order_by | string | — | Order by (default "this_month") |
| country_code | string | — | Country code (default "us") |
| continuation_token | string | — | Pagination token |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web/search_video","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.